Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
curl --request GET \
--url https://api.themoviedb.org/3/search/tv \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.themoviedb.org/3/search/tv"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.themoviedb.org/3/search/tv', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"page": 1,
"results": [
{
"adult": false,
"backdrop_path": "/2meX1nMdScFOoV4370rqHWKmXhY.jpg",
"first_air_date": "2021-09-17",
"genre_ids": [
10759,
9648,
18
],
"id": 93405,
"name": "Squid Game",
"origin_country": [
"KR"
],
"original_language": "ko",
"original_name": "오징어 게임",
"overview": "Hundreds of cash-strapped players accept a strange invitation to compete in children's games. Inside, a tempting prize awaits — with deadly high stakes.",
"popularity": 1601.261,
"poster_path": "/dDlEmu3EZ0Pgg93K2SVNLCjCSvE.jpg",
"vote_average": 7.8,
"vote_count": 14205
}
],
"total_pages": 1,
"total_results": 1
}This endpoint allows you to search for TV shows by their original, translated, and alternative names.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
This represents the name of the Tv show you want to look for.
"Squid Game"
This represents the first air date year of the TV show.
"2021-09-17"
This specifies if adult-rated shows should be included.
"false"
This represents the page number.
"1"
This represents the year the TV show was released.
TV
1
Show child attributes
[
{
"adult": false,
"backdrop_path": "/2meX1nMdScFOoV4370rqHWKmXhY.jpg",
"first_air_date": "2021-09-17",
"genre_ids": [10759, 9648, 18],
"id": 93405,
"name": "Squid Game",
"origin_country": ["KR"],
"original_language": "ko",
"original_name": "오징어 게임",
"overview": "Hundreds of cash-strapped players accept a strange invitation to compete in children's games. Inside, a tempting prize awaits — with deadly high stakes.",
"popularity": 1601.261,
"poster_path": "/dDlEmu3EZ0Pgg93K2SVNLCjCSvE.jpg",
"vote_average": 7.8,
"vote_count": 14205
}
]
1
1